Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | List of all members
eZ\Publish\Core\FieldType\Url\Type Class Reference

The Url field type. More...

Inheritance diagram for eZ\Publish\Core\FieldType\Url\Type:

## Public Member Functions
| getFieldTypeIdentifier ()
| Returns the field type identifier for this field type. More...
| getName (SPIValue $value)
| Returns the name of the given field value. More...
| getEmptyValue ()
| Returns the fallback default value of field type when no such default value is provided in the field definition in content types. More...
| fromHash ($hash)
| Converts an $hash to the Value defined by the field type. More...
| toHash (SPIValue $value)
| Converts a $Value to a hash. More...
| toPersistenceValue (SPIValue $value)
| Converts a $value to a persistence value. More...
| fromPersistenceValue (FieldValue $fieldValue)
| Converts a persistence $fieldValue to a Value. More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\FieldType
| setTransformationProcessor (TransformationProcessor $transformationProcessor)
| getSettingsSchema ()
| Returns a schema for the settings expected by the FieldType. More...
| getValidatorConfigurationSchema ()
| Returns a schema for the validator configuration expected by the FieldType. More...
| validate (FieldDefinition $fieldDefinition, SPIValue $value)
| Validates a field based on the validators in the field definition. More...
| validateValidatorConfiguration ($validatorConfiguration)
| Validates the validatorConfiguration of a FieldDefinitionCreateStruct or FieldDefinitionUpdateStruct. More...
| applyDefaultValidatorConfiguration (&$validatorConfiguration)
| Applies the default values to the given $validatorConfiguration of a FieldDefinitionCreateStruct. More...
| validateFieldSettings ($fieldSettings)
| Validates the fieldSettings of a FieldDefinitionCreateStruct or FieldDefinitionUpdateStruct. More...
| applyDefaultSettings (&$fieldSettings)
| Applies the default values to the fieldSettings of a FieldDefinitionCreateStruct. More...
| fromPersistenceValue (PersistenceValue $fieldValue)
| Converts a persistence $fieldValue to a Value. More...
| isSearchable ()
| Returns whether the field type is searchable. More...
| isSingular ()
| Indicates if the field definition of this type can appear only once in the same ContentType. More...
| onlyEmptyInstance ()
| Indicates if the field definition of this type can be added to a ContentType with Content instances. More...
| isEmptyValue (SPIValue $value)
| Returns if the given $value is considered empty by the field type. More...
| acceptValue ($inputValue)
| Potentially builds and checks the type and structure of the $inputValue. More...
| fieldSettingsToHash ($fieldSettings)
| Converts the given $fieldSettings to a simple hash format. More...
| fieldSettingsFromHash ($fieldSettingsHash)
| Converts the given $fieldSettingsHash to field settings of the type. More...
| validatorConfigurationToHash ($validatorConfiguration)
| Converts the given $validatorConfiguration to a simple hash format. More...
| validatorConfigurationFromHash ($validatorConfigurationHash)
| Converts the given $validatorConfigurationHash to a validator configuration of the type. More...
| getRelations (SPIValue $fieldValue)
| Returns relation data extracted from value. More...
| valuesEqual (SPIValue $value1, SPIValue $value2)
Public Member Functions inherited from eZ\Publish\SPI\FieldType\FieldType
| getName (Value $value)
| Returns a human readable string representation from the given $value. More...
| validate (FieldDefinition $fieldDef, Value $value)
| Validates a field based on the validator configuration in the field definition. More...
| isEmptyValue (Value $value)
| Returns if the given $value is considered empty by the field type. More...
| toHash (Value $value)
| Converts the given $value into a plain hash format. More...
| toPersistenceValue (Value $value)
| Converts a $value to a persistence value. More...
| getRelations (Value $value)
| Returns relation data extracted from value. More...
Public Member Functions inherited from eZ\Publish\SPI\FieldType\Comparable
| valuesEqual (Value $value1, Value $value2)

## Protected Member Functions
| createValueFromInput ($inputValue)
| Inspects given $inputValue and potentially converts it into a dedicated value object. More...
| checkValueStructure (BaseValue $value)
| Throws an exception if value structure is not of expected format. More...
| getSortInfo (BaseValue $value)
| {} More...
Protected Member Functions inherited from eZ\Publish\Core\FieldType\FieldType
| getSortInfo (Value $value)
| Returns information for FieldValue->$sortKey relevant to the field type. More...
| checkValueStructure (Value $value)
| Throws an exception if value structure is not of expected format. More...

## Additional Inherited Members
Static Protected Member Functions inherited from eZ\Publish\Core\FieldType\FieldType
static | checkValueType ($value)
| Throws an exception if the given $value is not an instance of the supported value subtype. More...
Protected Attributes inherited from eZ\Publish\Core\FieldType\FieldType
| $settingsSchema = []
| $validatorConfigurationSchema = []
| $transformationProcessor

## Detailed Description

The Url field type.

This field type represents a simple string.

Definition at line 20 of file Core/FieldType/Url/Type.php.

## Member Function Documentation

## ◆ checkValueStructure()

eZ\Publish\Core\FieldType\Url\Type::checkValueStructure | ( | BaseValue | $value | ) |
| protected

Throws an exception if value structure is not of expected format.

Exceptions

Definition at line 81 of file Core/FieldType/Url/Type.php.

## ◆ createValueFromInput()

eZ\Publish\Core\FieldType\Url\Type::createValueFromInput | ( |  | $inputValue | ) |
| protected

Inspects given $inputValue and potentially converts it into a dedicated value object.

Parameters

  string | \eZ\Publish\Core\FieldType\Url\Value | $inputValue |

Returns
  \eZ\Publish\Core\FieldType\Url\Value The potentially converted and structurally plausible value.

Reimplemented from eZ\Publish\Core\FieldType\FieldType.

Definition at line 65 of file Core/FieldType/Url/Type.php.

## ◆ fromHash()

eZ\Publish\Core\FieldType\Url\Type::fromHash | ( |  | $hash | ) |

Converts an $hash to the Value defined by the field type.

Parameters

  mixed | $hash |

Returns
  \eZ\Publish\Core\FieldType\Url\Value $value

Implements eZ\Publish\SPI\FieldType\FieldType.

Definition at line 115 of file Core/FieldType/Url/Type.php.

References eZ\Publish\Core\FieldType\Url\Type\getEmptyValue().

## ◆ fromPersistenceValue()

eZ\Publish\Core\FieldType\Url\Type::fromPersistenceValue | ( | FieldValue | $fieldValue | ) |

Converts a persistence $fieldValue to a Value.

This method builds a field type value from the $data and $externalData properties.

Parameters

  \eZ\Publish\SPI\Persistence\Content\FieldValue | $fieldValue |

Returns
  \eZ\Publish\Core\FieldType\Url\Value

Implements eZ\Publish\SPI\FieldType\FieldType.

Definition at line 199 of file Core/FieldType/Url/Type.php.

References eZ\Publish\Core\FieldType\Url\Type\getEmptyValue().

## ◆ getEmptyValue()

eZ\Publish\Core\FieldType\Url\Type::getEmptyValue | ( |  | ) |

Returns the fallback default value of field type when no such default value is provided in the field definition in content types.

Returns
  \eZ\Publish\Core\FieldType\Url\Value

Implements eZ\Publish\SPI\FieldType\FieldType.

Definition at line 53 of file Core/FieldType/Url/Type.php.

Referenced by eZ\Publish\Core\FieldType\Url\Type\fromHash(), and eZ\Publish\Core\FieldType\Url\Type\fromPersistenceValue().

## ◆ getFieldTypeIdentifier()

eZ\Publish\Core\FieldType\Url\Type::getFieldTypeIdentifier | ( |  | ) |

Returns the field type identifier for this field type.

Returns
  string

Implements eZ\Publish\SPI\FieldType\FieldType.

Definition at line 27 of file Core/FieldType/Url/Type.php.

## ◆ getName()

eZ\Publish\Core\FieldType\Url\Type::getName | ( | SPIValue | $value | ) |

Returns the name of the given field value.

It will be used to generate content name and url alias if current field is designated to be used in the content name/urlAlias pattern.

Parameters

  \eZ\Publish\Core\FieldType\Url\Value | $value |

Returns
  string

Definition at line 42 of file Core/FieldType/Url/Type.php.

## ◆ getSortInfo()

eZ\Publish\Core\FieldType\Url\Type::getSortInfo | ( | BaseValue | $value | ) |
| protected

{}

Definition at line 103 of file Core/FieldType/Url/Type.php.

## ◆ toHash()

eZ\Publish\Core\FieldType\Url\Type::toHash | ( | SPIValue | $value | ) |

Converts a $Value to a hash.

Parameters

  \eZ\Publish\Core\FieldType\Url\Value | $value |

Returns
  mixed

Definition at line 135 of file Core/FieldType/Url/Type.php.

References eZ\Publish\Core\FieldType\FieldType\isEmptyValue().

## ◆ toPersistenceValue()

eZ\Publish\Core\FieldType\Url\Type::toPersistenceValue | ( | SPIValue | $value | ) |

Converts a $value to a persistence value.

In this method the field type puts the data which is stored in the field of content in the repository into the property FieldValue::data. The format of $data is a primitive, an array (map) or an object, which is then canonically converted to e.g. json/xml structures by future storage engines without further conversions. For mapping the $data to the legacy database an appropriate Converter (implementing eZ\Publish\Core\Persistence\Legacy\FieldValue\Converter) has implemented for the field type. Note: $data should only hold data which is actually stored in the field. It must not hold data which is stored externally.

The $externalData property in the FieldValue is used for storing data externally by the FieldStorage interface method storeFieldData.

The FieldValuer::sortKey is build by the field type for using by sort operations.

See also
  \eZ\Publish\SPI\Persistence\Content\FieldValue

Parameters

  \eZ\Publish\Core\FieldType\Url\Value | $value | The value of the field type

Returns
  \eZ\Publish\SPI\Persistence\Content\FieldValue the value processed by the storage engine

Reimplemented from eZ\Publish\Core\FieldType\FieldType.

Definition at line 166 of file Core/FieldType/Url/Type.php.

The documentation for this class was generated from the following file:

- Core/FieldType/Url/Type.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.